[Story] Use HTMLForm in the special pages
Closed, ResolvedPublic

Description

To get better security the special pages should use HTMLForm especially the special pages for setting some value, that is editing the entity.

Details

Reference
bz46248

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
daniel removed a subscriber: daniel.Aug 26 2015, 2:12 PM

Change 234317 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialRedirectEntity to HTMLForm

https://gerrit.wikimedia.org/r/234317

Change 234317 merged by jenkins-bot:
Convert SpecialRedirectEntity to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/234317

Change 233898 merged by jenkins-bot:
Convert SpecialGoToLinkedPage to HTMLForm

https://gerrit.wikimedia.org/r/233898

Jonas closed this task as "Resolved".Aug 28 2015, 9:24 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.
Ricordisamoa reopened this task as "Open".Aug 28 2015, 10:52 AM

Ehm no.
https://gerrit.wikimedia.org/r/233423 is still in review, and Special:EntitiesWithout*, Special:MergeItems, etc. haven't been converted yet.

Change 234732 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialListProperties to HTMLForm

https://gerrit.wikimedia.org/r/234732

Change 234732 merged by jenkins-bot:
Convert SpecialListProperties to HTMLForm

https://gerrit.wikimedia.org/r/234732

@Ricordisamoa: Can you add a listto the description of the remaining special pages that need conversion? I lost overview tbh :D

Ricordisamoa edited the task description. (Show Details)Sep 1 2015, 3:19 PM

Change 235258 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialEntitiesWithoutPage to HTMLForm

https://gerrit.wikimedia.org/r/235258

Ricordisamoa edited the task description. (Show Details)Sep 1 2015, 4:04 PM

Change 235394 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialItemDisambiguation to HTMLForm

https://gerrit.wikimedia.org/r/235394

Ricordisamoa edited the task description. (Show Details)Sep 2 2015, 2:58 AM

Change 235407 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialNewEntity and subclasses to HTMLForm

https://gerrit.wikimedia.org/r/235407

Ricordisamoa edited the task description. (Show Details)Sep 2 2015, 6:31 AM

Change 235394 merged by jenkins-bot:
Convert SpecialItemDisambiguation to HTMLForm

https://gerrit.wikimedia.org/r/235394

Change 235407 merged by jenkins-bot:
Convert SpecialNewEntity and subclasses to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/235407

Ricordisamoa edited the task description. (Show Details)Sep 2 2015, 2:45 PM

Change 235258 merged by jenkins-bot:
Convert SpecialEntitiesWithoutPage to HTMLForm

https://gerrit.wikimedia.org/r/235258

Ricordisamoa edited the task description. (Show Details)Sep 2 2015, 2:57 PM
Ricordisamoa edited the task description. (Show Details)Sep 2 2015, 3:51 PM

Change 235999 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialItemByTitle to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/235999

Change 236002 had a related patch set uploaded (by Ricordisamoa):
Convert SpecialMergeItems to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/236002

Change 236002 merged by jenkins-bot:
Convert SpecialMergeItems to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/236002

Ricordisamoa edited the task description. (Show Details)Sep 7 2015, 1:37 PM

This task is for repo only, but FYI https://gerrit.wikimedia.org/r/236617 converts Special:PagesWithBadges.

4 special pages just got the new style:

They look great!

Legoktm awarded a token.
Lydia_Pintscher changed the title from "Use HTMLForm in the special pages" to "[Story] Use HTMLForm in the special pages".Sep 10 2015, 10:28 AM

Change 235999 merged by jenkins-bot:
Convert SpecialItemByTitle to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/235999

hoo edited the task description. (Show Details)Sep 15 2015, 2:35 PM

1 special page just got the new style:

@Ricordisamoa, have you seen the notes on the subtask? Hope you can finish this!

@Ricordisamoa, have you seen the notes on the subtask? Hope you can finish this!

Hi, sorry for the delay. The last change is not ready yet but is also not blocked anymore :)

Since https://gerrit.wikimedia.org/r/233423 was first published, browser tests have appeared and PHPUnit tests were almost rewritten because of T69122. Nonetheless, it has got very few comments from the team :(

I pinged people about it. Sorry we lost track of it.

I pinged people about it. Sorry we lost track of it.

Thanks for the quick response. Being low priority, even the slightest bit of feedback is welcome.

Change 339432 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fixups to OOUI conversion of SpecialModifyEntity and subclasses

https://gerrit.wikimedia.org/r/339432

Change 233423 merged by jenkins-bot:
Convert SpecialModifyEntity and subclasses to HTMLForm in 'ooui' mode

https://gerrit.wikimedia.org/r/233423

So should we mark this resolved?

Ricordisamoa edited the task description. (Show Details)EditedFeb 24 2017, 4:14 PM

So should we mark this resolved?

https://gerrit.wikimedia.org/r/339432 is waiting, after that we're done 😃

Change 339432 merged by jenkins-bot:
Fixups to OOUI conversion of SpecialModifyEntity and subclasses

https://gerrit.wikimedia.org/r/339432

Ladsgroup closed this task as "Resolved".Feb 24 2017, 9:28 PM

Thanks, Ricordisamoa :)

The last 5 are live, unfortunately without the margin fix: